EDIT - bug #9749

NPE when opening SpecimenimportView
09/09/2021 09:07 AM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal Found in Version:

Description

When opening the biocase or gbif import view:

last remote method : http://160.45.63.230:80/cdmserver/caryophyllales_demo_05/remoting/common.serv
ice
last remote request client time : 2021-09-08T13:58:29.224
last remote request response header time : Wed, 08 Sep 2021 18:58:12 GMT
client error time : 2021-09-08T14:01:01.473
login : admin
editor version : 5.26.0
server : 160.45.63.230 (demo I) / caryophyllales_demo_05
schema version : 5.25.1.0.20210702
os : Windows 10 10.0 amdé64
java : 1.8.0_301
org.eclipse.core.runtime.AssertionFailedException: null argument:

at org.eclipse.core.runtime.Assert.isNotNull (Assert.java:85)

at org.eclipse.core.runtime.Assert.isNotNull (Assert.java:73)

at org.eclipse.e4d.ui.internal.workbench.PartServiceImpl.showPart (PartServicelImpl. ja
va:1193)

at eu.etaxonomy.taxeditor.view.dataimport.e4d.SpecimenSearchWizard.performFinish (Spe
cimenSearchWizard. java:117)

at org.eclipse.jface.wizard.WizardDialog.finishPressed(WizardDialog.java:790)

at org.eclipse.jface.wizard.WizardDialog.buttonPressed(WizardDialog. java:423)

at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog. java:618)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display. java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at eu.etaxonomy.taxeditor.view.dataimport.e4d.handler.OpenSpecimenImportWizard.execu
te (OpenSpecimenImportWizard. java:32)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:
282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)

at org.eclipse.e4d.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFact
ory.java:132)

at org.eclipse.e4d.core.commands.internal.HandlerServiceHandler.execute (HandlerServi
ceHandler. java:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCo
mmand. java:488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerS
erviceImpl.java:210)

at org.eclipse.e4d.ui.workbench.renderers.swt.HandledContributionItem.executeltem (Ha
ndledContributionItem. java:433)

at

org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidget$S

election (AbstractContributionItem. java:454)

at

org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent

(AbstractContributionItem. java:482)

at
at
at
at
at
at
Engine.java:1121)
at
gine.java:1022)
at
:150)
at
at
at
at
at
at
at

org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)
org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRendering

org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEn

org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java

org.eclipse.ui.internal.Workbench$5. run (Workbench. java:693)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench.java:610)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:20)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(Ecli

pseAppLauncher. java:134)

at
ncher.java:104)
at
at
at
at
at
at
at
at
at

org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseApplau

org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
sun.reflect.NativeMethodAccessorImpl.invoke(O (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)
java.lang.reflect.Method.invoke (Unknown Source)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run (Main. java:1519)

Associated revisions

Revision 51dfe6f4 - 09/09/2021 09:15 AM - Katja Luther

fix #9749: fix NPE when opening specimen import view

Revision 9eeecf39 - 09/09/2021 09:52 AM - Katja Luther

fix #9749: fix NPE when opening specimen import view

History

#1 - 09/09/2021 09:30 AM - Katja Luther

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|51dfe6f454155927ac4d50c50474d8d13c3e2bd4.

#2 - 09/09/2021 10:38 AM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 100

Works as expected now.

#3 - 09/21/2021 02:12 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/51dfe6f454155927ac4d50c50474d8d13c3e2bd4
